import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { HttpClientModule } from '@angular/common/http';
import { PeerReviewingComponent } from './peer-reviewing.component';
import { TranslateModule } from '@ngx-translate/core';
import { LocalStorageService, SessionStorageService } from 'ngx-webstorage';
import { Router } from '@angular/router';

describe('PeerReviewingComponent', () => {
  let component: PeerReviewingComponent;
  let fixture: ComponentFixture<PeerReviewingComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [HttpClientTestingModule, HttpClientModule, TranslateModule.forRoot()],
      declarations: [PeerReviewingComponent],
      providers: [LocalStorageService, SessionStorageService, Router],
    }).compileComponents();
  });
  beforeEach(() => {
    fixture = TestBed.createComponent(PeerReviewingComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
